/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base;


import javax.annotation.Generated;

import org.jooq.Sequence;
import org.jooq.impl.SequenceImpl;


/**
 * Convenience access to all sequences in public
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Sequences {

    /**
     * The sequence <code>public.arduino_ardid_seq</code>
     */
    public static final Sequence<Integer> ARDUINO_ARDID_SEQ = new SequenceImpl<Integer>("arduino_ardid_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.INTEGER.nullable(false));

    /**
     * The sequence <code>public.arduinoatuador_ardsenid_seq</code>
     */
    public static final Sequence<Integer> ARDUINOATUADOR_ARDSENID_SEQ = new SequenceImpl<Integer>("arduinoatuador_ardsenid_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.INTEGER.nullable(false));

    /**
     * The sequence <code>public.arduinocontrole_ardcontid_seq</code>
     */
    public static final Sequence<Integer> ARDUINOCONTROLE_ARDCONTID_SEQ = new SequenceImpl<Integer>("arduinocontrole_ardcontid_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.INTEGER.nullable(false));

    /**
     * The sequence <code>public.arduinosensor_ardsenid_seq</code>
     */
    public static final Sequence<Integer> ARDUINOSENSOR_ARDSENID_SEQ = new SequenceImpl<Integer>("arduinosensor_ardsenid_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.INTEGER.nullable(false));

    /**
     * The sequence <code>public.atuador_atuid_seq</code>
     */
    public static final Sequence<Integer> ATUADOR_ATUID_SEQ = new SequenceImpl<Integer>("atuador_atuid_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.INTEGER.nullable(false));

    /**
     * The sequence <code>public.controle_conid_seq</code>
     */
    public static final Sequence<Integer> CONTROLE_CONID_SEQ = new SequenceImpl<Integer>("controle_conid_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.INTEGER.nullable(false));

    /**
     * The sequence <code>public.controlegrpacesso_congrpid_seq</code>
     */
    public static final Sequence<Integer> CONTROLEGRPACESSO_CONGRPID_SEQ = new SequenceImpl<Integer>("controlegrpacesso_congrpid_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.INTEGER.nullable(false));

    /**
     * The sequence <code>public.criacao_criaid_seq</code>
     */
    public static final Sequence<Integer> CRIACAO_CRIAID_SEQ = new SequenceImpl<Integer>("criacao_criaid_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.INTEGER.nullable(false));

    /**
     * The sequence <code>public.empresa_empid_seq</code>
     */
    public static final Sequence<Integer> EMPRESA_EMPID_SEQ = new SequenceImpl<Integer>("empresa_empid_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.INTEGER.nullable(false));

    /**
     * The sequence <code>public.grpacesso_grpid_seq</code>
     */
    public static final Sequence<Integer> GRPACESSO_GRPID_SEQ = new SequenceImpl<Integer>("grpacesso_grpid_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.INTEGER.nullable(false));

    /**
     * The sequence <code>public.hisatuacao_histatuaid_seq</code>
     */
    public static final Sequence<Integer> HISATUACAO_HISTATUAID_SEQ = new SequenceImpl<Integer>("hisatuacao_histatuaid_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.INTEGER.nullable(false));

    /**
     * The sequence <code>public.hispropriedades_hispoptid_seq</code>
     */
    public static final Sequence<Integer> HISPROPRIEDADES_HISPOPTID_SEQ = new SequenceImpl<Integer>("hispropriedades_hispoptid_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.INTEGER.nullable(false));

    /**
     * The sequence <code>public.horarepeticao_horid_seq</code>
     */
    public static final Sequence<Integer> HORAREPETICAO_HORID_SEQ = new SequenceImpl<Integer>("horarepeticao_horid_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.INTEGER.nullable(false));

    /**
     * The sequence <code>public.sensor_senid_seq</code>
     */
    public static final Sequence<Integer> SENSOR_SENID_SEQ = new SequenceImpl<Integer>("sensor_senid_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.INTEGER.nullable(false));

    /**
     * The sequence <code>public.sensorhorarepeticao_senhorid_seq</code>
     */
    public static final Sequence<Integer> SENSORHORAREPETICAO_SENHORID_SEQ = new SequenceImpl<Integer>("sensorhorarepeticao_senhorid_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.INTEGER.nullable(false));

    /**
     * The sequence <code>public.sensorrepeticao_senrepid_seq</code>
     */
    public static final Sequence<Integer> SENSORREPETICAO_SENREPID_SEQ = new SequenceImpl<Integer>("sensorrepeticao_senrepid_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.INTEGER.nullable(false));

    /**
     * The sequence <code>public.tanque_tanid_seq</code>
     */
    public static final Sequence<Integer> TANQUE_TANID_SEQ = new SequenceImpl<Integer>("tanque_tanid_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.INTEGER.nullable(false));

    /**
     * The sequence <code>public.telefones_telid_seq</code>
     */
    public static final Sequence<Integer> TELEFONES_TELID_SEQ = new SequenceImpl<Integer>("telefones_telid_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.INTEGER.nullable(false));

    /**
     * The sequence <code>public.tipoatuador_tipatuid_seq</code>
     */
    public static final Sequence<Integer> TIPOATUADOR_TIPATUID_SEQ = new SequenceImpl<Integer>("tipoatuador_tipatuid_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.INTEGER.nullable(false));

    /**
     * The sequence <code>public.tiporepeticao_tiprepid_seq</code>
     */
    public static final Sequence<Integer> TIPOREPETICAO_TIPREPID_SEQ = new SequenceImpl<Integer>("tiporepeticao_tiprepid_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.INTEGER.nullable(false));

    /**
     * The sequence <code>public.tiposensor_tipsenid_seq</code>
     */
    public static final Sequence<Integer> TIPOSENSOR_TIPSENID_SEQ = new SequenceImpl<Integer>("tiposensor_tipsenid_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.INTEGER.nullable(false));

    /**
     * The sequence <code>public.usuarios_usuid_seq</code>
     */
    public static final Sequence<Integer> USUARIOS_USUID_SEQ = new SequenceImpl<Integer>("usuarios_usuid_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.INTEGER.nullable(false));
}
